<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.6"/>
<title>Framework: framework::gui::LayoutItem Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.6 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classframework_1_1gui_1_1_layout_item.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classframework_1_1gui_1_1_layout_item-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">framework::gui::LayoutItem Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Abstract class to display a layout on the ground station.  
 <a href="classframework_1_1gui_1_1_layout_item.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_layout_item_8h_source.html">LayoutItem.h</a>&gt;</code></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for framework::gui::LayoutItem:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classframework_1_1gui_1_1_layout_item.png" usemap="#framework::gui::LayoutItem_map" alt=""/>
  <map id="framework::gui::LayoutItem_map" name="framework::gui::LayoutItem_map">
<area href="classframework_1_1gui_1_1_widget.html" title="Abstract class for all Framework&#39;s widget classes. " alt="framework::gui::Widget" shape="rect" coords="249,56,488,80"/>
<area href="classframework_1_1core_1_1_object.html" title="Base class for all Framework&#39;s classes. " alt="framework::core::Object" shape="rect" coords="249,0,488,24"/>
<area href="classframework_1_1gui_1_1_grid_layout.html" title="Class displaying a QGridLayout on the ground station. " alt="framework::gui::GridLayout" shape="rect" coords="0,168,239,192"/>
<area href="classframework_1_1gui_1_1_group_box.html" title="Class displaying a QGroupBox on the ground station. " alt="framework::gui::GroupBox" shape="rect" coords="249,168,488,192"/>
<area href="classframework_1_1gui_1_1_tab.html" title="Class displaying a QTab on the ground station. " alt="framework::gui::Tab" shape="rect" coords="498,168,737,192"/>
<area href="classframework_1_1core_1_1_one_axe_rotation.html" title="Class defining a rotation around one axis. " alt="framework::core::OneAxeRotation" shape="rect" coords="124,224,363,248"/>
<area href="classframework_1_1sensor_1_1_battery_monitor.html" title="Base class for battery monitor. " alt="framework::sensor::BatteryMonitor" shape="rect" coords="373,224,612,248"/>
<area href="classframework_1_1sensor_1_1_parrot_battery_monitor.html" title="Parrot battery monitor. " alt="framework::sensor::ParrotBatteryMonitor" shape="rect" coords="373,280,612,304"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aed12544e09f78efefce86ffa9f0d78ac"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1gui_1_1_layout_item.html#aed12544e09f78efefce86ffa9f0d78ac">LayoutItem</a> (const <a class="el" href="classframework_1_1gui_1_1_widget.html">Widget</a> *parent, std::string name, std::string type)</td></tr>
<tr class="memdesc:aed12544e09f78efefce86ffa9f0d78ac"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#aed12544e09f78efefce86ffa9f0d78ac">More...</a><br/></td></tr>
<tr class="separator:aed12544e09f78efefce86ffa9f0d78ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f893c405eab41647e074ae320b698ba"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1gui_1_1_layout_item.html#a8f893c405eab41647e074ae320b698ba">~LayoutItem</a> ()</td></tr>
<tr class="memdesc:a8f893c405eab41647e074ae320b698ba"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a8f893c405eab41647e074ae320b698ba">More...</a><br/></td></tr>
<tr class="separator:a8f893c405eab41647e074ae320b698ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1gui_1_1_widget"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1gui_1_1_widget')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1gui_1_1_widget.html">framework::gui::Widget</a></td></tr>
<tr class="memitem:aa22cbbef51bba4a41a387f2157de74be inherit pub_methods_classframework_1_1gui_1_1_widget"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1gui_1_1_widget.html#aa22cbbef51bba4a41a387f2157de74be">Widget</a> (const <a class="el" href="classframework_1_1gui_1_1_widget.html">Widget</a> *parent, std::string name, std::string type)</td></tr>
<tr class="memdesc:aa22cbbef51bba4a41a387f2157de74be inherit pub_methods_classframework_1_1gui_1_1_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#aa22cbbef51bba4a41a387f2157de74be">More...</a><br/></td></tr>
<tr class="separator:aa22cbbef51bba4a41a387f2157de74be inherit pub_methods_classframework_1_1gui_1_1_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5828f9d29972aa861dc4a4fe21997499 inherit pub_methods_classframework_1_1gui_1_1_widget"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1gui_1_1_widget.html#a5828f9d29972aa861dc4a4fe21997499">~Widget</a> ()</td></tr>
<tr class="memdesc:a5828f9d29972aa861dc4a4fe21997499 inherit pub_methods_classframework_1_1gui_1_1_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a5828f9d29972aa861dc4a4fe21997499">More...</a><br/></td></tr>
<tr class="separator:a5828f9d29972aa861dc4a4fe21997499 inherit pub_methods_classframework_1_1gui_1_1_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7fe633c500864d494e67ba9e5ab4e3cd inherit pub_methods_classframework_1_1gui_1_1_widget"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1gui_1_1_widget.html#a7fe633c500864d494e67ba9e5ab4e3cd">setEnabled</a> (bool status)</td></tr>
<tr class="memdesc:a7fe633c500864d494e67ba9e5ab4e3cd inherit pub_methods_classframework_1_1gui_1_1_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set enabled.  <a href="#a7fe633c500864d494e67ba9e5ab4e3cd">More...</a><br/></td></tr>
<tr class="separator:a7fe633c500864d494e67ba9e5ab4e3cd inherit pub_methods_classframework_1_1gui_1_1_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a472d499749ee9acadc1d446387cbbbe7 inherit pub_methods_classframework_1_1gui_1_1_widget"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1gui_1_1_widget.html#a472d499749ee9acadc1d446387cbbbe7">isEnabled</a> (void) const </td></tr>
<tr class="memdesc:a472d499749ee9acadc1d446387cbbbe7 inherit pub_methods_classframework_1_1gui_1_1_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Is enabled?  <a href="#a472d499749ee9acadc1d446387cbbbe7">More...</a><br/></td></tr>
<tr class="separator:a472d499749ee9acadc1d446387cbbbe7 inherit pub_methods_classframework_1_1gui_1_1_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td></tr>
<tr class="memitem:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a97617b01df8aedc07b2ba46ef4988994">Object</a> (const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td></tr>
<tr class="memdesc:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a97617b01df8aedc07b2ba46ef4988994">More...</a><br/></td></tr>
<tr class="separator:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#ac934815b59eb1cf1a47bdb114fa86da0">~Object</a> ()</td></tr>
<tr class="memdesc:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#ac934815b59eb1cf1a47bdb114fa86da0">More...</a><br/></td></tr>
<tr class="separator:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#ae19cf04d95b4cabb8c6064375b15337f">ObjectName</a> (void) const </td></tr>
<tr class="memdesc:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name.  <a href="#ae19cf04d95b4cabb8c6064375b15337f">More...</a><br/></td></tr>
<tr class="separator:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a49660b572cdbedc6a665d5d396ed00a1">ObjectType</a> (void) const </td></tr>
<tr class="memdesc:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Type.  <a href="#a49660b572cdbedc6a665d5d396ed00a1">More...</a><br/></td></tr>
<tr class="separator:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a8dda2eca639eb56bb2c3f26de04f2678">Parent</a> (void) const </td></tr>
<tr class="memdesc:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parent.  <a href="#a8dda2eca639eb56bb2c3f26de04f2678">More...</a><br/></td></tr>
<tr class="separator:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a7fb6234586cd406b3bea93aadf01ba16">TypeChilds</a> (void) const </td></tr>
<tr class="memdesc:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs of the same type.  <a href="#a7fb6234586cd406b3bea93aadf01ba16">More...</a><br/></td></tr>
<tr class="separator:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#aee8de0c31d51e165fed466a4c8bcf6c4">Childs</a> (void) const </td></tr>
<tr class="memdesc:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs.  <a href="#aee8de0c31d51e165fed466a4c8bcf6c4">More...</a><br/></td></tr>
<tr class="separator:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec1974099e78e731ba9c3dd1ed05de94 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#aec1974099e78e731ba9c3dd1ed05de94">Information</a> (const char *function, int line, const char *format,...) const </td></tr>
<tr class="memdesc:aec1974099e78e731ba9c3dd1ed05de94 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted information.  <a href="#aec1974099e78e731ba9c3dd1ed05de94">More...</a><br/></td></tr>
<tr class="separator:aec1974099e78e731ba9c3dd1ed05de94 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#abb73af04b52a2ba67a2d2ce1a74330a2">Warning</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted warning.  <a href="#abb73af04b52a2ba67a2d2ce1a74330a2">More...</a><br/></td></tr>
<tr class="separator:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a6f48a765168b2fe4a629234e0b778559">Error</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted error.  <a href="#a6f48a765168b2fe4a629234e0b778559">More...</a><br/></td></tr>
<tr class="separator:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a56a6221f2ce124d7c53b15a423a47b08">ErrorOccured</a> (bool recursive=true) const </td></tr>
<tr class="memdesc:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Has an errror occured?  <a href="#a56a6221f2ce124d7c53b15a423a47b08">More...</a><br/></td></tr>
<tr class="separator:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_classframework_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classframework_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td></tr>
<tr class="memitem:a7201b52b50f64586d1ea82cc1f6a2e6f inherit pub_types_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><b>color_t</b> { <b>Auto</b> =0, 
<b>Red</b> =31, 
<b>Green</b> =32, 
<b>Orange</b> =33
 }</td></tr>
<tr class="separator:a7201b52b50f64586d1ea82cc1f6a2e6f inherit pub_types_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classframework_1_1gui_1_1_widget"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classframework_1_1gui_1_1_widget')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classframework_1_1gui_1_1_widget.html">framework::gui::Widget</a></td></tr>
<tr class="memitem:a52b196d963a0ff3eefb8bbfc015fdef6 inherit pro_methods_classframework_1_1gui_1_1_widget"><td class="memItemLeft" align="right" valign="top">xmlNodePtr&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1gui_1_1_widget.html#a52b196d963a0ff3eefb8bbfc015fdef6">XmlFileNode</a> (void) const </td></tr>
<tr class="memdesc:a52b196d963a0ff3eefb8bbfc015fdef6 inherit pro_methods_classframework_1_1gui_1_1_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Xml file node.  <a href="#a52b196d963a0ff3eefb8bbfc015fdef6">More...</a><br/></td></tr>
<tr class="separator:a52b196d963a0ff3eefb8bbfc015fdef6 inherit pro_methods_classframework_1_1gui_1_1_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7df6dad42ead89c86b7c29379ae1667f inherit pro_methods_classframework_1_1gui_1_1_widget"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1gui_1_1_widget.html#a7df6dad42ead89c86b7c29379ae1667f">SetXmlProp</a> (std::string prop, std::string value, xmlNodePtr node=NULL)</td></tr>
<tr class="memdesc:a7df6dad42ead89c86b7c29379ae1667f inherit pro_methods_classframework_1_1gui_1_1_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set xml property.  <a href="#a7df6dad42ead89c86b7c29379ae1667f">More...</a><br/></td></tr>
<tr class="separator:a7df6dad42ead89c86b7c29379ae1667f inherit pro_methods_classframework_1_1gui_1_1_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acae02eb9ccbc2cfd7cbb1ce430a5105b inherit pro_methods_classframework_1_1gui_1_1_widget"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1gui_1_1_widget.html#acae02eb9ccbc2cfd7cbb1ce430a5105b">SetXmlProp</a> (std::string prop, xmlChar *value, xmlNodePtr node=NULL)</td></tr>
<tr class="memdesc:acae02eb9ccbc2cfd7cbb1ce430a5105b inherit pro_methods_classframework_1_1gui_1_1_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set xml property.  <a href="#acae02eb9ccbc2cfd7cbb1ce430a5105b">More...</a><br/></td></tr>
<tr class="separator:acae02eb9ccbc2cfd7cbb1ce430a5105b inherit pro_methods_classframework_1_1gui_1_1_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c21d8c29454889a476b236aa7f2448b inherit pro_methods_classframework_1_1gui_1_1_widget"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1gui_1_1_widget.html#a5c21d8c29454889a476b236aa7f2448b">SetXmlProp</a> (std::string prop, double value, xmlNodePtr node=NULL)</td></tr>
<tr class="memdesc:a5c21d8c29454889a476b236aa7f2448b inherit pro_methods_classframework_1_1gui_1_1_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set xml property.  <a href="#a5c21d8c29454889a476b236aa7f2448b">More...</a><br/></td></tr>
<tr class="separator:a5c21d8c29454889a476b236aa7f2448b inherit pro_methods_classframework_1_1gui_1_1_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf8632f0f5bf9940c01178c3ed0489eb inherit pro_methods_classframework_1_1gui_1_1_widget"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1gui_1_1_widget.html#acf8632f0f5bf9940c01178c3ed0489eb">SetXmlProp</a> (std::string prop, <a class="el" href="classframework_1_1core_1_1io__data.html#a9733182e38c4616f82c08145621d8739">core::io_data::DataType_t</a> value, xmlNodePtr node=NULL)</td></tr>
<tr class="memdesc:acf8632f0f5bf9940c01178c3ed0489eb inherit pro_methods_classframework_1_1gui_1_1_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set xml property.  <a href="#acf8632f0f5bf9940c01178c3ed0489eb">More...</a><br/></td></tr>
<tr class="separator:acf8632f0f5bf9940c01178c3ed0489eb inherit pro_methods_classframework_1_1gui_1_1_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2873650303d6f65ecb931644115842ab inherit pro_methods_classframework_1_1gui_1_1_widget"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1gui_1_1_widget.html#a2873650303d6f65ecb931644115842ab">ClearXmlProps</a> (void)</td></tr>
<tr class="memdesc:a2873650303d6f65ecb931644115842ab inherit pro_methods_classframework_1_1gui_1_1_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear all xml properties.  <a href="#a2873650303d6f65ecb931644115842ab">More...</a><br/></td></tr>
<tr class="separator:a2873650303d6f65ecb931644115842ab inherit pro_methods_classframework_1_1gui_1_1_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1cda82255f8b738befb1b857713a4184 inherit pro_methods_classframework_1_1gui_1_1_widget"><td class="memItemLeft" align="right" valign="top">xmlNodePtr&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1gui_1_1_widget.html#a1cda82255f8b738befb1b857713a4184">AddXmlChild</a> (std::string type)</td></tr>
<tr class="memdesc:a1cda82255f8b738befb1b857713a4184 inherit pro_methods_classframework_1_1gui_1_1_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add an xml child.  <a href="#a1cda82255f8b738befb1b857713a4184">More...</a><br/></td></tr>
<tr class="separator:a1cda82255f8b738befb1b857713a4184 inherit pro_methods_classframework_1_1gui_1_1_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae5d98cfb6caca948c0dfd4c3574550e6 inherit pro_methods_classframework_1_1gui_1_1_widget"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1gui_1_1_widget.html#ae5d98cfb6caca948c0dfd4c3574550e6">SendXml</a> (void) const </td></tr>
<tr class="memdesc:ae5d98cfb6caca948c0dfd4c3574550e6 inherit pro_methods_classframework_1_1gui_1_1_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Send xml.  <a href="#ae5d98cfb6caca948c0dfd4c3574550e6">More...</a><br/></td></tr>
<tr class="separator:ae5d98cfb6caca948c0dfd4c3574550e6 inherit pro_methods_classframework_1_1gui_1_1_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a881bcfc229f995981ace9c398531baa3 inherit pro_methods_classframework_1_1gui_1_1_widget"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1gui_1_1_widget.html#a881bcfc229f995981ace9c398531baa3">XmlEvent</a> (xmlNode *node)=0</td></tr>
<tr class="memdesc:a881bcfc229f995981ace9c398531baa3 inherit pro_methods_classframework_1_1gui_1_1_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Xml event.  <a href="#a881bcfc229f995981ace9c398531baa3">More...</a><br/></td></tr>
<tr class="separator:a881bcfc229f995981ace9c398531baa3 inherit pro_methods_classframework_1_1gui_1_1_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Abstract class to display a layout on the ground station. </p>
<p>This is an abstract class to display layouts (like <a class="el" href="classframework_1_1gui_1_1_grid_layout.html" title="Class displaying a QGridLayout on the ground station. ">GridLayout</a>, <a class="el" href="classframework_1_1gui_1_1_group_box.html" title="Class displaying a QGroupBox on the ground station. ">GroupBox</a>, etc). <br/>
A layout can contains Widgets (<a class="el" href="classframework_1_1gui_1_1_box.html" title="Abstract class to display a box on the ground station. ">Box</a>, <a class="el" href="classframework_1_1gui_1_1_data_plot.html" title="Abstract class to display plots on ground station. ">DataPlot</a>, <a class="el" href="classframework_1_1gui_1_1_picture.html" title="Class displaying a Picture on the ground station. ">Picture</a>, etc). <br/>
<a class="el" href="classframework_1_1gui_1_1_layout_item.html" title="Abstract class to display a layout on the ground station. ">LayoutItem</a> holds a Mutex, which can be used to protect access to <a class="el" href="classframework_1_1gui_1_1_box.html" title="Abstract class to display a box on the ground station. ">Box</a>'s value for example. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="aed12544e09f78efefce86ffa9f0d78ac"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">framework::gui::LayoutItem::LayoutItem </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classframework_1_1gui_1_1_widget.html">Widget</a> *&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>type</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>Construct a <a class="el" href="classframework_1_1gui_1_1_layout_item.html" title="Abstract class to display a layout on the ground station. ">LayoutItem</a>. Type is a predifined one, and will be interpreted by the ground station.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">parent</td><td>parent </td></tr>
    <tr><td class="paramname">name</td><td>name </td></tr>
    <tr><td class="paramname">type</td><td>type of layout </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a8f893c405eab41647e074ae320b698ba"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">framework::gui::LayoutItem::~LayoutItem </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Destructor. </p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceframework.html">framework</a></li><li class="navelem"><a class="el" href="namespaceframework_1_1gui.html">gui</a></li><li class="navelem"><a class="el" href="classframework_1_1gui_1_1_layout_item.html">LayoutItem</a></li>
    <li class="footer">Generated on Thu Nov 27 2014 17:51:10 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.6 </li>
  </ul>
</div>
</body>
</html>
